## Name

atomicCounter — return the current value of an atomic counter

## Declaration

`uint atomicCounter(` | atomic_uint c`)`;

## Parameters

`c`

  Specify the handle to the atomic counter whose value to return.

## Description

`atomicCounter` returns the current value of of the atomic counter `c`.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
atomicCounter | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔

## See Also

atomicCounterIncrement, atomicCounterDecrement

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.